summaryrefslogtreecommitdiff
path: root/regress/usr.bin/ssh
diff options
context:
space:
mode:
authorMarkus Friedl <markus@cvs.openbsd.org>2002-02-22 12:31:36 +0000
committerMarkus Friedl <markus@cvs.openbsd.org>2002-02-22 12:31:36 +0000
commit51f94ed6100b242a71d32606ffe4db6d26b32b69 (patch)
treea75dceddbea198959a536761819cef457e8c3b44 /regress/usr.bin/ssh
parent846fcce886d6668d7a51159fd7b44cb238dd4705 (diff)
test keyscan as well (test for pr 2354)
Diffstat (limited to 'regress/usr.bin/ssh')
-rw-r--r--regress/usr.bin/ssh/Makefile3
-rw-r--r--regress/usr.bin/ssh/keyscan.sh16
2 files changed, 18 insertions, 1 deletions
diff --git a/regress/usr.bin/ssh/Makefile b/regress/usr.bin/ssh/Makefile
index f2e9b4acfe5..c6726c34dd5 100644
--- a/regress/usr.bin/ssh/Makefile
+++ b/regress/usr.bin/ssh/Makefile
@@ -1,4 +1,4 @@
-# $OpenBSD: Makefile,v 1.4 2002/02/18 11:40:42 markus Exp $
+# $OpenBSD: Makefile,v 1.5 2002/02/22 12:31:35 markus Exp $
REGRESSTARGETS= t1 t2 t3 t4 t5 t6 t7
@@ -13,6 +13,7 @@ LTESTS= connect \
try-ciphers \
yes-head \
agent \
+ keyscan \
forwarding
USER!= id -un
diff --git a/regress/usr.bin/ssh/keyscan.sh b/regress/usr.bin/ssh/keyscan.sh
new file mode 100644
index 00000000000..c1bd82de23f
--- /dev/null
+++ b/regress/usr.bin/ssh/keyscan.sh
@@ -0,0 +1,16 @@
+# $OpenBSD: keyscan.sh,v 1.1 2002/02/22 12:31:35 markus Exp $
+# Placed in the Public Domain.
+
+tid="keyscan"
+
+start_sshd
+
+for t in rsa1 rsa dsa; do
+ trace "keyscan type $t"
+ ssh-keyscan -t $t -p $PORT 127.0.0.1 127.0.0.1 127.0.0.1 \
+ > /dev/null 2>&1
+ r=$?
+ if [ $r -ne 0 ]; then
+ fail "ssh-keyscan -t $t failed with: $r"
+ fi
+done